% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/performDESeqEstimation.R
\name{estimateGeneDispersion}
\alias{estimateGeneDispersion}
\title{Estimates gene-specific dispersion estimates for total and labeled samples, using DESeq2
The DESeq estimation does only work correctly, if at least two samples are available for each class(labeled/total),
either replicates or different conditions.}
\usage{
estimateGeneDispersion(counts, conditions.labeling,
  conditions = colnames(counts), type = c("dispersion", "dispGeneEst",
  "dispFit", "dispMAP"))
}
\arguments{
\item{counts}{count table for genes (rows) and samples (columns)}

\item{conditions.labeling}{vector indicating for each sample if it was labeled ("L") or total ("T")}

\item{conditions}{vector giving the experimental condition for each sample}

\item{type}{type of disperion from deseq, "dispersion"=="dispMAP"}
}
\value{
data.frame with dispersion estimates for every gene (rows) and labeled and total samples(columns)
}
\description{
Estimates gene-specific dispersion estimates for total and labeled samples, using DESeq2
The DESeq estimation does only work correctly, if at least two samples are available for each class(labeled/total),
either replicates or different conditions.
}
\examples{
data(gene.counts)
data(samples)
dispersion = estimateGeneDispersion(gene.counts, samples$conditions.labeling, samples$conditions)

}
\author{
Carina Demel
}

