% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/initial.guess.R
\name{initial.guess.alpha}
\alias{initial.guess.alpha}
\title{Calculate initial alpha values (labeled RNA) by closed form solution}
\usage{
initial.guess.alpha(N = 1, L, counts, gene.names = rownames(counts),
  seq.depths, cross.cont, labeled.samples,
  total.samples = c(1:length(seq.depths)[-labeled.samples]))
}
\arguments{
\item{N}{number of cells}

\item{L}{length of genes}

\item{counts}{count table for genes (rows) and samples (columns)}

\item{gene.names}{names of features == rownames of count table for which the initial guess should be calculated}

\item{seq.depths}{vector with sequencing depths for each sample}

\item{cross.cont}{vector with cross contamination rates for each sample}

\item{labeled.samples}{numeric vector indicating which of the samples are labeled RNA}

\item{total.samples}{numeric vector indicating which of the samples are total RNA}
}
\value{
initial guess for alpha for given genes
}
\description{
Calculate initial alpha values (labeled RNA) by closed form solution
}
\author{
Carina Demel
}

