% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/spikein.dataframe.R
\name{spikein.dataframe}
\alias{spikein.dataframe}
\title{Function to create a data frame to be used for the GLM}
\usage{
spikein.dataframe(counts, spikeins = rownames(counts), spikein.lengths,
  spikein.labeling, samples = colnames(counts), conditions.labeling,
  debug = FALSE)
}
\arguments{
\item{counts}{matrix with counts for each spike (rows) and each sample (columns)}

\item{spikeins}{names of spike-ins, in same order as rownames of counts}

\item{spikein.lengths}{length of spike-ins (vector ordered accoring to "spikes")}

\item{spikein.labeling}{labeling status of spike-ins (vector ordered accoring to "spikes" consisting of "L" and "U")}

\item{samples}{individual name for each sample, e.g. colnames of count table}

\item{conditions.labeling}{labeling status of sample (vector consisting of "L" and "T")}

\item{debug}{should debugging modus be used?}
}
\value{
dataframe containing all relevant information for the GLM
}
\description{
Function to create a data frame to be used for the GLM
}
\author{
Carina Demel
}

